Set default payment method

Makes this payment method the customer's default for future charges

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired

Request

Body

Response

200
idstring
Unique payment method identifier.
customerIdstring
The customer this payment method belongs to.
externalPaymentMethodIdstring

The payment processor’s identifier for this payment method (e.g. a Stripe payment method ID).

typestring
Payment method type, e.g. "card".
isDefaultboolean
Whether this is the customer's default payment method.
cardobject
Card details when the payment method is a card. Null for other types or when details are unavailable.
createdAtdatetime

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error